# Maintainer: tioguda <guda.flavio@gmail.com>

_pkgname=ddutility
pkgname=ddutility-bin-pt-br
pkgver=1.6
pkgrel=1.1
pkgdesc="Gravar e fazer backup dos arquivos IMG e ISO do sistema operacional no cartão de memória ou no disco"
arch=('any')
license=('GPL3')
url="https://www.thefanclub.co.za/how-to/dd-utility-write-and-backup-operating-system-img-and-iso-files-memory-card-or-disk"
makedepends=('imagemagick')
conflicts=('ddutility-bin')
provides=('ddutility')
options=('!strip' '!emptydirs')
source=("https://raw.githubusercontent.com/thefanclub/dd-utility/master/DEB/${_pkgname}_${pkgver}_all.deb"
        "https://metainfo.manjariando.com.br/${_pkgname}/com.${_pkgname}-pt-br.metainfo.xml"
        'translation_pt-br.patch')
sha256sums=('bf01d8fc8fafaf76ab751fbcf6b54d75930581e62d602fcaf4cd28fe23579224'
            'b0d804dd4dded741994f0a1e0d1672b51e601cd3f5435b2499c1e95d9d3e7665'
            'de5c1fca6693f3b545ea5094a921fe67a3bbc43372f67992fee9bb06a8e26083')

package_ddutility-bin-pt-br() {
    depends=('bash' 'coreutils' 'gzip' 'lsof' 'udevil' 'xz' 'zenity' 'zip')

    # Extract package data
    tar xf data.tar.xz -C "${pkgdir}"

    cd "${pkgdir}"
    patch -p1 -i ${srcdir}/translation_pt-br.patch

    # Appstream
    mv "${pkgdir}/usr/share/applications/ddutility.desktop" "${pkgdir}/usr/share/applications/com.ddutility_pt_br.desktop"
    install -Dm644 "${pkgdir}/usr/share/doc/ddutility/copyright" "${pkgdir}/usr/share/licenses/${_pkgname}/LICENSE"
    install -Dm644 "${srcdir}/com.${_pkgname}-pt-br.metainfo.xml" "${pkgdir}/usr/share/metainfo/com.${_pkgname}-pt-br.metainfo.xml"

    # Fix and install desktop icons
    for size in 22 24 32 48 64 128 256 512; do
        mkdir -p "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps"
        convert "${pkgdir}/opt/thefanclub/${_pkgname}/${_pkgname}.png" -resize "${size}x${size}" \
            "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps/${_pkgname}-pt-br.png"
    done
}
